<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/html">


<head>
    <meta charset="UTF-8"/>
    <title>Features</title>
<link rel="shortcut icon" type="image/x-icon" href="favicon.ico">
<link rel="apple-touch-icon" sizes="57x57" href="apple-icon-57x57.png">
<link rel="apple-touch-icon" sizes="60x60" href="apple-icon-60x60.png">
<link rel="apple-touch-icon" sizes="72x72" href="apple-icon-72x72.png">
<link rel="apple-touch-icon" sizes="76x76" href="apple-icon-76x76.png">
<link rel="apple-touch-icon" sizes="114x114" href="apple-icon-114x114.png">
<link rel="apple-touch-icon" sizes="120x120" href="apple-icon-120x120.png">
<link rel="apple-touch-icon" sizes="144x144" href="apple-icon-144x144.png">
<link rel="apple-touch-icon" sizes="152x152" href="apple-icon-152x152.png">
<link rel="apple-touch-icon" sizes="180x180" href="apple-icon-180x180.png">
<link rel="icon" type="image/png" sizes="192x192"  href="android-icon-192x192.png">
<link rel="icon" type="image/png" sizes="32x32" href="favicon-32x32.png">
<link rel="icon" type="image/png" sizes="96x96" href="favicon-96x96.png">
<link rel="icon" type="image/png" sizes="16x16" href="favicon-16x16.png">
<meta name="msapplication-TileColor" content="#ffffff">
<meta name="msapplication-TileImage" content="/ms-icon-144x144.png">
<meta name="theme-color" content="#ffffff">
<!--[if IE 7]>
<!--<link rel="stylesheet" href="font-awesome/css/font-awesome-ie7.min.css">-->

<link rel="stylesheet" type="text/css" href="fontawesome-free-5.7.2-web/css/all.min.css">
<link rel="stylesheet" type="text/css" href="fontawesome-free-5.7.2-web/css/v4-shims.min.css">

<!-- JQuery -->
<script type="text/javascript" src="scripts/jquery-1.11.1.min.js"></script><link rel="stylesheet" type="text/css" href="chartist/chartist-plugin-tooltip/dist/chartist-plugin-tooltip.min.css">
<link rel="stylesheet" type="text/css" href="chartist/dist/chartist.min.css">
<script src="chartist/dist/chartist.min.js"></script>
<script src="chartist/chartist-plugin-tooltip/dist/chartist-plugin-tooltip.min.js"></script>
<!-- Required Stylesheets -->
<link href="bootstrap-treeview/dist/bootstrap-treeview.min.css" rel="stylesheet">

<!-- Required Javascript -->
<script src="bootstrap-treeview/dist/bootstrap-treeview.min.js"></script><!-- DataTables -->
<link type="text/css" href="datatables/1.10.20/datatables.min.css" rel="stylesheet" />
<script type="text/javascript" src="datatables/1.10.20/datatables.min.js"></script>
<script type="text/javascript" src="datatables/1.10.20/time-elapsed-dhms.js"></script>

<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="datatables/1.10.20/datatables.bootstrap4.min.js"></script>
<link type="text/css" href="datatables/1.10.20/datatables.bootstrap4.min.css" rel="stylesheet" />

<script>
    jQuery.fn.dataTable.ext.type.order['time-elapsed-dhms-pre'] = function(data) {

        var matches = data.match(/^(\d+(?:\.\d+)?)\s*([a-z]+)/i);
        var multipliers = {
            ms: 1,
            s: 1000,
            m: 60000,
            h: 3600000,
            d: 86400000
        };

        if (matches) {
            var multiplier = multipliers[matches[2].toLowerCase()];
            return parseFloat(matches[1]) * multiplier;
        } else {
            return -1;
        };
    };
</script>
<link rel="stylesheet" href="css/core.css"/>
<link rel="stylesheet" href="css/link.css"/>
<link type="text/css" media="screen" href="css/screen.css" rel="Stylesheet"/><!-- JQuery-UI -->
<link type="text/css" href="jqueryui/1.11.2-start/jquery-ui.min.css" rel="Stylesheet" />
<script type="text/javascript" src="jqueryui/1.11.2-start/jquery-ui.min.js"></script><!-- DataTables -->
<link type="text/css" href="datatables/1.10.20/datatables.min.css" rel="stylesheet" />
<script type="text/javascript" src="datatables/1.10.20/datatables.min.js"></script>
<script type="text/javascript" src="datatables/1.10.20/time-elapsed-dhms.js"></script>

<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="datatables/1.10.20/datatables.bootstrap4.min.js"></script>
<link type="text/css" href="datatables/1.10.20/datatables.bootstrap4.min.css" rel="stylesheet" />

<script>
    jQuery.fn.dataTable.ext.type.order['time-elapsed-dhms-pre'] = function(data) {

        var matches = data.match(/^(\d+(?:\.\d+)?)\s*([a-z]+)/i);
        var multipliers = {
            ms: 1,
            s: 1000,
            m: 60000,
            h: 3600000,
            d: 86400000
        };

        if (matches) {
            var multiplier = multipliers[matches[2].toLowerCase()];
            return parseFloat(matches[1]) * multiplier;
        } else {
            return -1;
        };
    };
</script>



    <script>

        $(document).ready(function () {

            var scenarioTable = $('.scenario-result-table').DataTable({

                "order": [],
                "language": {
                    searchPlaceholder: "Filter",
                    search: ""
                }
            });

            $('.example-table table').DataTable({
                searching: false,
                ordering: false,
                paging: false,
                info: false
            });

            $('.example-table-in-scenario table').DataTable({
                searching: false,
                ordering: false,
                paging: false,
                info: false
            });

            $('#evidence-table').DataTable(
                    {
                        searching: false,
                        ordering: false,
                        paging: false,
                        info: false
                    }
            );


            $(".scenario-docs .card-body table").wrap("<div class='table-responsive'></div>");

            $("#requirements-tabs").tabs();
            $("#test-tabs").tabs();

            var requirementsTree = [{"text":"API Authentication","type":"feature","href":"38cfced0e0a5cef77cc33480617cd9eaaf57539376b2f9990af9a8701b70f56e.html","nodes":[],"selectable":false,"tags":["","\u003cspan class\u003d\u0027feature-count\u0027\u003e3 scenarios\u003c/span\u003e"]}];

            $('#tree').treeview({
                data: requirementsTree,
                enableLinks: true,
                showTags: true,
                expandIcon: "glyphicon glyphicon-folder-close",
                collapseIcon: "glyphicon glyphicon-folder-open",
                emptyIcon: "glyphicon glyphicon-book"
            });

        });
    </script>

    <script>
        $(document).ready(function () {
            $(".scenario-docs > div > p").html(function () {
                var text = $(this).text().trim().split(" ");
                var first = text.shift();
                return (text.length > 0 ? "<strong>" + first + "</strong> " : first) + text.join(" ");
            });
        });
    </script>
</head>

<body class="results-page">
<div id="topheader">
    <div id="topbanner">
        <div id="logo"><a href="index.html"><img src="images/serenity-logo.png" border="0"/></a></div>
        <div id="projectname-banner" style="float:right">
            <span class="projectname">
                <span class="projecttitle">earthnew.media BDD Report</span>
                <span class="projectsubtitle"></span>
            </span>
        </div>
    </div>
</div>


<div class="middlecontent">
    <div id="contenttop">
        <div class="middlebg">
            <span class="breadcrumbs">
            <a href='index.html'>Home</a> > <a href="capabilities.html">Requirements</a>

                > <a href="5b0b500db2dfd98ccb3584eed6275bc7ba4d506665983d1b8fc2e8acb36c8678.html">Backend API</a>


                > <span class="truncate-40">API Authentication</span>

            </span>
        </div>
        <div class="rightbg"></div>
    </div>
    <div class="clr"></div>

    <!--/* starts second table*/-->

<div>
    <ul class="nav nav-tabs" role="tablist">
        <li >
            <a href="index.html"><i class="fa fa-check-square-o"></i> Overall Test Results</a>
        </li>
        <li >
            <a href="capabilities.html"><i class="fa fa-book"></i> Requirements</a>
        </li>
        <li >
            <a href="7ea0a5e2d679b9deeda9910ae4a9bcd3a281e0d908303a9e16e486103e98880c.html"><i class="fa fa-comments-o"></i> Capabilities</a>
        </li>
        <li class="active">
            <a href="#"><i class="fa fa-comments-o"></i> Features</a>
        </li>
    </ul>
    <span class="date-and-time"><a href="build-info.html"><i class="fa fa-info-circle"></i></a> Report generated 07-04-2020 08:26</span>
    <br style="clear:left"/>
</div>

    <div class="clr"></div>

    <div id="beforetable"></div>
    <div id="results-dashboard">
        <div class="table">
                <div class=row">
                    <div class="col-sm-12">
                        <div>
                            <div clas="table">
                                <div class="row">
                                    <div class="col-sm-8">
                                    <span>
                                            <h2><i class="fa fa-book"></i> Feature:  API Authentication</h2>
                                        </span>
                                </div>
                                    <div class="col-sm-4">
                                        <span class="feature-tags">
                                                <p class="tag">
                                                    <span class="badge tag-badge" style="background:default;">
                                                        <i class="fa fa-tag"></i>&nbsp;<a class="tagLink"
                                                                                          style="background:default;"
                                                                                          href="73b19892d3a17aec91c0c31498590d5a95e9646c973896c93268414041a4e4bd.html">P1-Co1-1
                                                        (phase)</a>
                                                    </span>
                                                </p>
                                                <p class="tag">
                                                    <span class="badge tag-badge" style="background:default;">
                                                        <i class="fa fa-tag"></i>&nbsp;<a class="tagLink"
                                                                                          style="background:default;"
                                                                                          href="29fc4e8afd129773ed0480d3187dd71c40c1ff9a388a67f93095a06664b80af7.html">Auth
                                                        (tag)</a>
                                                    </span>
                                                </p>
                                                <p class="tag">
                                                    <span class="badge tag-badge" style="background:default;">
                                                        <i class="fa fa-tag"></i>&nbsp;<a class="tagLink"
                                                                                          style="background:default;"
                                                                                          href="03c38abc150ec1d5070f58913415ff083b86c70994705a423d87e59bdc0f9a7e.html">Api
                                                        (tag)</a>
                                                    </span>
                                                </p>
                                        </span>
                                    </div>
                                </div>
                                </div>
                            </div>
                            <div class="requirementNarrativeTitle">
                                
                            </div>

                        </div>
                    </div>


            <div class="row">
                <div class="col-sm-12">

                    <!-- Requirements result tabs -->
                    <ul class="nav nav-tabs">
                        <li class="active">
                            <a data-toggle="tab" href="#specs"><i class="fas fa-comments"></i> Specifications</a>
                        </li>
                        <li>
                            <a data-toggle="tab" href="#results"><i class="fas fa-tachometer-alt"></i> Test Results</a>
                        </li>
                    </ul>

                    <!-- Specifications and Results tabs -->
                    <div class="card border">
                        <div class="tab-content" id="pills-tabContent">
                            <div id="specs" class="tab-pane fade in active">
                                <div class="container-fluid">
                                    <div class="row">
                                        <div class="col-sm-12">


                                            <h3>Scenarios</h3>

                                            <div id="toc">
                                                <table class="table" id="toc-table">
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#ccb4d3a61d6001863941cac0f1544fbb3f79f9a5c49aa500cd5141bc9e0813eb" title="View scenario details" >Sign in with valid admin account</a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="6902f6e44e96c7f2ae4ee87fb72e02dd76e5417f5e38a40aaf697e1b1554b4e5.html"
                                                                               title="View test results">
                                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                                            </a>

                                                                        
                                                                        </td>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="6902f6e44e96c7f2ae4ee87fb72e02dd76e5417f5e38a40aaf697e1b1554b4e5.html"
                                                                               title="View test results">
                                                                                <i class="fas fa-search-plus"></i>
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#2c14d7f92084786c97c4f0bc56298e8a217d8202fa5ac730ba7ab4cde88e2d45" title="View scenario details" >Allow restricted api call with valid credentials</a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="8575f07b1ede6f509659adebd52224975e2421acd1d59d3adac4b9a3d0cff627.html"
                                                                               title="View test results">
                                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                                            </a>

                                                                        
                                                                        </td>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="8575f07b1ede6f509659adebd52224975e2421acd1d59d3adac4b9a3d0cff627.html"
                                                                               title="View test results">
                                                                                <i class="fas fa-search-plus"></i>
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#497a2dd78f7fd586097325366cad6c42aab43bd168a4e0afad8b0e8a9b29b776" title="View scenario details" >Deny restricted api call</a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="ac28f3f11be22dcdef3513f96b51c8b7f9732aa258464a5d4aa42634f94c4836.html"
                                                                               title="View test results">
                                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                                            </a>

                                                                        
                                                                        </td>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="ac28f3f11be22dcdef3513f96b51c8b7f9732aa258464a5d4aa42634f94c4836.html"
                                                                               title="View test results">
                                                                                <i class="fas fa-search-plus"></i>
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                </table>

                                            </div>

                                            <h3>Scenario details</h3>

                                                <div class="scenario-docs card" id="ccb4d3a61d6001863941cac0f1544fbb3f79f9a5c49aa500cd5141bc9e0813eb">
                                                    <div class="scenario-docs card-header success" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="6902f6e44e96c7f2ae4ee87fb72e02dd76e5417f5e38a40aaf697e1b1554b4e5.html" title="View test results">Sign in with valid admin account</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                            <p><p>Given that &quot;Jane&quot; is a Member with the account data</p>
<table>
<thead>
<tr><th>slug</th><th>janedoe</th></tr>
</thead>
<tbody>
<tr><td>email</td><td>jane@example.com</td></tr>
<tr><td>userName</td><td>JaneDoe</td></tr>
<tr><td>password</td><td>password3</td></tr>
</tbody>
</table>
</p>
                                                            <p>And she was able to start using the rest api</p>
                                                            <p>When she attempts to login to the api with valid credentials</p>
                                                            <p>Then she should see that they received a 200 response</p>
                                                            <p>And the response validates against the &quot;auth-login&quot; schema</p>
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="scenario-docs card" id="2c14d7f92084786c97c4f0bc56298e8a217d8202fa5ac730ba7ab4cde88e2d45">
                                                    <div class="scenario-docs card-header success" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="8575f07b1ede6f509659adebd52224975e2421acd1d59d3adac4b9a3d0cff627.html" title="View test results">Allow restricted api call with valid credentials</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                            <p><p>Given that &quot;John&quot; is a Member with the account data</p>
<table>
<thead>
<tr><th>slug</th><th>johndoe</th></tr>
</thead>
<tbody>
<tr><td>email</td><td>john@example.com</td></tr>
<tr><td>userName</td><td>JohnDoe</td></tr>
<tr><td>password</td><td>password2</td></tr>
</tbody>
</table>
</p>
                                                            <p>And he was able to start using the rest api</p>
                                                            <p>And he was able to login to the api with valid credentials</p>
                                                            <p>When he attempts to GET &quot;/users/me&quot;</p>
                                                            <p>Then he should see that they received a 200 response</p>
                                                            <p>And the response has a &quot;userName&quot; field equal to &quot;JohnDoe&quot;</p>
                                                            <p>And the response has an &quot;email&quot; field equal to &quot;john@example.com&quot;</p>
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="scenario-docs card" id="497a2dd78f7fd586097325366cad6c42aab43bd168a4e0afad8b0e8a9b29b776">
                                                    <div class="scenario-docs card-header success" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="ac28f3f11be22dcdef3513f96b51c8b7f9732aa258464a5d4aa42634f94c4836.html" title="View test results">Deny restricted api call</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                            <p>Given that &quot;Bob&quot; is a Guest</p>
                                                            <p>And he was able to start using the rest api</p>
                                                            <p>When he attempts to GET &quot;/users/me&quot;</p>
                                                            <p>Then he should see that they received a 401 response</p>
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div id="results" class="tab-pane fade">
                                <div class="container-fluid">
                                    <div class="row">
                                        <div class="col-sm-4">

                                            <div style="width:300px;" class="chart-container automated-and-manual-results">
                                                <div class="ct-chart ct-square"></div>
                                            </div>
                                            <script>

                                                var labels = ['100%', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' '];
                                                // Our series array that contains series objects or in this case series data arrays

                                                var series = [{meta: 'Passing tests (automated)', value: 3}, {meta: 'Passing tests (manual)', value: 0}, {meta: 'Pending tests (automated)', value: 0}, {meta: 'Pending tests (manual)', value: 0}, {meta: 'Ignored tests (automated)', value: 0}, {meta: 'Ignored tests (manual)', value: 0}, {meta: 'Skipped tests (automated)', value: 0}, {meta: 'Skipped tests (manual)', value: 0}, {meta: 'Failing tests (automated)', value: 0}, {meta: 'Failing tests (manual)', value: 0}, {meta: 'Broken tests (automated)', value: 0}, {meta: 'Broken tests (manual)', value: 0}, {meta: 'Compromised tests (automated)', value: 0}, {meta: 'Compromised tests (manual)', value: 0}];

                                                // As options we currently only set a static size of 300x200 px. We can also omit this and use aspect ratio containers
                                                // as you saw in the previous example
                                                var options = {
                                                    width: 350,
                                                    height: 300
                                                };

                                                $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
                                                    new Chartist.Pie('.ct-chart', {
                                                        series: series,
                                                        labels: labels,
                                                    }, {
                                                        donut: true,
                                                        donutWidth: 60,
                                                        donutSolid: true,
                                                        startAngle: 270,
                                                        showLabel: true
                                                    }, options);
                                                });

                                            </script>
                                        </div>
                                        <div class="col-sm-8">

                                        <table class="table">
                                            <thead>
                                            <tr>
                                                <th scope="col">Scenario Results (including rows of test data)</th>
                                                <th scope="col" colspan="2" class="automated-stats">
                                                    Automated
                                                </th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr>
                                                                    <td class="aggregate-result-count">
                                                                        <a href="7e0257fc972dbc52ada91490164c5ceefa2f13014f50f224029a0fdba7a25b80.html"><i
                                                                                class='fa fa-check-circle-o success-icon'></i>&nbsp;Passing</a>
                                                                    </td>
                                                <td class="automated-stats">3</td>
                                                <td class="automated-stats">100%</td>
                                            </tr>
                                            <tr>
                                                                    <td class="aggregate-result-count"><i
                                                                            class='fa fa-stop-circle-o pending-icon'></i>&nbsp;Pending
                                                                    </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr>
                                                                <td class="aggregate-result-count"><i
                                                                        class='fa fa-ban ignored-icon'></i>&nbsp;Ignored
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr>
                                                                <td class="aggregate-result-count"><i
                                                                        class='fa fa-fast-forward skip-icon'></i>&nbsp;Skipped
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr>
                                                                            <td colspan="3"><i
                                                                                class='fa fa-times failure-icon'></i>&nbsp;<em>Unsuccessful</em></a>
                                                                            </td>

                                            </tr>

                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-times-circle failure-icon'></i>&nbsp;Failed
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-exclamation-triangle error-icon'></i>&nbsp;Broken
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-chain-broken compromised-icon'></i>&nbsp;Compromised
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr class="summary-stats">
                                                <td class="aggregate-result-count">Total</td>
                                                <td class="automated-stats">3</td>
                                                <td class="automated-stats"></td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    </div>

                                        <div class="row">
                                            <div class="col-sm-12">
                                                <table class="table">
                                                    <thead>
                                                    <tr>
                                                        <th>Execution Time</th>
                                                        <th>Clock Time</th>
                                                        <th>Fastest Test</th>
                                                        <th>Slowest Test</th>
                                                        <th>Average Execution Time</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr>
                                                        <td>1s</td>
                                                        <td>1s</td>
                                                        <td>237ms</td>
                                                        <td>680ms</td>
                                                        <td>466ms</td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>


                                        <div class="row">
                                            <div class="col-sm-12">
                                                <h3><i class="fas fa-cogs"></i> Automated Tests</h3>

                                            <table class="scenario-result-table table" id="scenario-results">
                                                <thead>
                                                <tr>
                                                    <th class="test-name-column">Scenario</th>
                                                    <th>Steps</th>
                                                    <th>Start Time</th>
                                                    <th>Duration</th>
                                                    <th>Result</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="6902f6e44e96c7f2ae4ee87fb72e02dd76e5417f5e38a40aaf697e1b1554b4e5.html">Sign in with valid admin account</a>
                                                    </td>
                                                    <td>5</td>
                                                    <td> </td>
                                                    <td> </td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="8575f07b1ede6f509659adebd52224975e2421acd1d59d3adac4b9a3d0cff627.html">Allow restricted api call with valid credentials</a>
                                                    </td>
                                                    <td>7</td>
                                                    <td> </td>
                                                    <td> </td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="ac28f3f11be22dcdef3513f96b51c8b7f9732aa258464a5d4aa42634f94c4836.html">Deny restricted api call</a>
                                                    </td>
                                                    <td>4</td>
                                                    <td> </td>
                                                    <td> </td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                </tbody>
                                            </table>

                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-sm-12">
                                                <h3><i class="fas fa-edit"></i> Manual Tests</h3>

                                                No manual tests were recorded

                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-sm-12">
                        <span class="version">Serenity BDD version 2.1.13</span>
                    </div>
                </div>
            </div>
</body>
</html>
